<?php
/*1 uf - 2 uf cidade - 3 uf cidade bairro - 4 uf cidade empresa*/
$nivel = 1;
$uf = $subpages[0];
$estado = retornaQ("SELECT * FROM l_estados WHERE uf='$uf'");
$id_uf = $estado['id'];
$detectcamp = FALSE;

$pagina = 'resultados';
// estados
$mtarobot = '<meta name="robots" content="noindex">';

$title = mb_strtoupper($estado['estado'], 'UTF-8');		


if(isset($subpages[1]) && $subpages[1]!='')
{

	//cidades

	$mtarobot = '<meta name="robots" content="index, follow">';
	$slugcidade = $subpages[1];
	$cidade = retornaQ("SELECT * FROM l_cidades WHERE slug='$slugcidade' AND id_uf='$id_uf'");	
	if($cidade){
		$nivel=2;
		//print_r($cidade);
		$id_cidade = $cidade['id'];

	
		      $title = ucwords($cidade['cidade'].' - '.$estado['estado']);	

	}else{

			//echo "cidades"; exit;

			//cidades
		    $mtarobot = '<meta name="robots" content="index, follow">';
			$slugid = $subpages[1];
			$arrpo = explode("-",$slugid);
		    $output = end($arrpo);

		    
		    //$slugemp = str_replace('-'.$output,'', $slugid );

		    if(count($arrpo)>=2){

		    	$selemp2 = mysql_query("SELECT * FROM empresas WHERE id='$output'");

		    	if(mysql_num_rows($selemp2)==0) { header("location:".sti('urlbase').$uf.'/'.$cidade['slug']); exit; }

		    	$empresa = mysql_fetch_assoc($selemp2);
		    	$id_bairro = $empresa['id_bairro'];
		    	$id_cidade = $empresa['id_cidade'];
		    	$cidade = retornaQ("SELECT * FROM l_cidades WHERE id = '$id_cidade' AND id_uf='$id_uf'");	

		    	$bairro = retornaQ("SELECT * FROM l_bairros WHERE id='$id_bairro' AND id_uf='$id_uf' AND id_cidade='$id_cidade'");



 //  inicio 	lozalizado na tabela empresa, serve para exibir as atividades na pagina
		    	 
		    	$id_nivel_1 = $empresa['id_nivel_1'];
		    	$id_nivel_2 = $empresa['id_nivel_2'];
		    	$id_nivel_3 = $empresa['id_nivel_3'];
		    	$id_nivel_4 = $empresa['id_nivel_4'];
		    	$id_nivel_5 = $empresa['id_nivel_5'];
		    	
		    	// fim
		    	$nivel=4;

				$id_cidade = $cidade['id'];

				$selbairros = mysql_query("SELECT * FROM l_bairros WHERE id_cidade = '$id_cidade'  ORDER BY bairro ASC");

				$bairros = array();

				while($bairrox = mysql_fetch_assoc($selbairros)) {

				  $bairros[] = $bairrox;
				  
				}

				$idempa = $empresa['id'];

				$selmais = mysql_query("SELECT * FROM empresamais WHERE id_emp = '$idempa'");
				$selimgs = mysql_query("SELECT * FROM imagens WHERE id_emp = '$idempa' ORDER BY ordem ASC");
				

				if(mysql_num_rows($selmais)==0) { mysql_query("INSERT INTO empresamais (id_emp) VALUES ('$idempa')"); } 
				if(mysql_num_rows($selimgs)==0) { $fotos =  0; }  else { $fotos=1;}

				$empmais = mysql_fetch_assoc($selmais);


			if($empmais['titulo']!='') {  $title = $empmais['titulo']; }  else { $title = ucwords($empresa['empresa']);}		
			 
				if($empmais['descri']!='') $description = $empmais['descri']; 
				if($empmais['keywords']!='') $keywords = $empmais['keywords'];

		    }
	}
}

if(isset($subpages[2]) && $subpages[2]!='')
{

//bairro
	$mtarobot = '<meta name="robots" content="noindex">';
	$slugbairro = $slugempresa = $subpages[2];
	$bairro = retornaQ("SELECT * FROM l_bairros WHERE slug='$slugbairro' AND id_uf='$id_uf' AND id_cidade='$id_cidade'");
		
	if($bairro){

	        $nivel=3;

		$id_bairro = $bairro['id'];

		$selemp1 = mysql_query("SELECT id FROM empresas WHERE id_bairro = '$id_bairro'");

		$num = mysql_num_rows($selemp1);

		$n  = 10; //n por página
	
		$pag = 1;
	    if(isset($subpages[3])){

	    	$pag = $subpages[3];
	    }	

		$paginas = ceil($num/$n);

		if($pag>$paginas){ header("location:".sti('urlbase').$uf.'/'.$cidade['slug'].'/'.$bairro['slug']); exit; }

		$p = $pag;
		$ini = ($n * $pag) - $n;	

		 $title = mb_strtoupper($bairro['bairro'].' - '.$cidade['cidade'], 'UTF-8');		
			 

	}else{


			//empresas
		    $mtarobot = '<meta name="robots" content="index, follow">';
			$slugid = $subpages[1];
			$arrpo = explode("-",$slugid);
            
		    $output = end($arrpo);
		    //$slugemp = str_replace('-'.$output,'', $slugid );
		    //print_r($slugemp); exit;

		    if(count($arrpo)>=2){

		    	$selemp2 = mysql_query("SELECT * FROM empresas WHERE  id='$output'");

		    	if(mysql_num_rows($selemp2)==0) { header("location:".sti('urlbase').$uf.'/'.$cidade['slug']); exit; }

		    	$empresa = mysql_fetch_assoc($selemp2);
		    	$id_bairro = $empresa['id_bairro'];

		    	$bairro = retornaQ("SELECT * FROM l_bairros WHERE id='$id_bairro' AND id_uf='$id_uf' AND id_cidade='$id_cidade'");

		    	$nivel=4;

				$id_cidade = $cidade['id'];

				$selbairros = mysql_query("SELECT * FROM l_bairros WHERE id_cidade = '$id_cidade'  ORDER BY bairro ASC");

				$bairros = array();

				while($bairrox = mysql_fetch_assoc($selbairros)) {

				  $bairros[] = $bairrox;
				  
				}

				$idempa = $empresa['id'];

				$selmais = mysql_query("SELECT * FROM empresamais WHERE id_emp = '$idempa'");
				$selimgs = mysql_query("SELECT * FROM imagens WHERE id_emp = '$idempa' ORDER BY ordem ASC");

				if(mysql_num_rows($selmais)==0) { mysql_query("INSERT INTO empresamais (id_emp) VALUES ('$idempa')"); } 
				if(mysql_num_rows($selimgs)==0) { $fotos =  0; }  else { $fotos=1;}

				$empmais = mysql_fetch_assoc($selmais);



		      $title = mb_strtoupper($bairro['bairro'].' - '.$cidade['cidade'], 'UTF-8');		
			 
				if($empmais['descri']!='') $description = $empmais['descri']; 
				if($empmais['keywords']!='') $keywords = $empmais['keywords'];

		    }
	}	
}

if(isset($id_cidade)){

		$sqlan = mysql_query("SELECT * FROM anuncios WHERE id_cidade='$id_cidade'");
		if(mysql_num_rows($sqlan)==1)
		{

	
			$campf = mysql_fetch_assoc($sqlan);

			$idcamp = $campf['id_camp'];

			$sqlcamp = mysql_query("SELECT * FROM campanhas WHERE id='$idcamp'  AND ativo=1");
			
			if(mysql_num_rows($sqlcamp)==1){

					$campanha = mysql_fetch_assoc($sqlcamp);
						
					$detectcamp = TRUE;		
					$totalv = $campanha['latv'];

	
					$totalv++;
					mysql_query("UPDATE campanhas SET latv='$totalv',topv='$totalv',infv='$totalv'  WHERE id='$idcamp'") or die(mysql_error());
			}else{

				$detectcamp = FALSE;	

			}
			

		}else{
			$detectcamp = FALSE;	
		}
}